package java.game.cars;

import java.util.*;
import java.game.*;
import java.game.parts.*;
import java.game.parts.enginepart.airfueldeliverysystem.*;


public class Ferrari_250_GTO extends Ferrari_250_GTO_models
{
	public Ferrari_250_GTO( int id )
	{
		super( id );
		carCategory = PACKAGE;

		makerName = "Ferrari S.p.A.";
		model = MODEL_250_GTO;
		vehicleName = "Ferrari 250 GTO";
		name = "Ferrari 250 GTO chassis";

		description = "What we have here is probably the greatest road and track car ever made. It combines sexy styling, championship-winning engineering and exclusivity. Only 36 were ever made and all have colorful histories.";

		value = 1000000.0;
		brand_new_prestige_value = 82.50;

		fully_stripped_drag = 0.61;

		exhaustSlotIDList = new Vector();
		exhaustSlotIDList.addElement( new Integer(22) );
	}

	public void addStockParts( Descriptor desc )
	{
		// stock 1 stuffs //

		stock_parts_list_E  = new int[1];
		stock_parts_list_E[ 0] = parts:0x000000E9r; // "stock battery" //

		stock_parts_list_FL = new int[2];
		stock_parts_list_FL[ 0] = cars.racers.Ferrari_250_GTO:0x00000111r; // "L headlights" //
		stock_parts_list_FL[ 1] = cars.racers.Ferrari_250_GTO:0x00000171r; // "FL quarterpanel" //

		stock_parts_list_FR = new int[2];
		stock_parts_list_FR[ 0] = cars.racers.Ferrari_250_GTO:0x00000117r; // "R headlights" //
		stock_parts_list_FR[ 1] = cars.racers.Ferrari_250_GTO:0x00000173r; // "FR quarterpanel" //

		stock_parts_list_RL = new int[2];
		stock_parts_list_RL[ 0] = cars.racers.Ferrari_250_GTO:0x00000108r; // "L taillights" //
		stock_parts_list_RL[ 1] = cars.racers.Ferrari_250_GTO:0x0000015Dr; // "RL quarterpanel" //

		stock_parts_list_RR = new int[2];
		stock_parts_list_RR[ 0] = cars.racers.Ferrari_250_GTO:0x00000114r; // "R taillights" //
		stock_parts_list_RR[ 1] = cars.racers.Ferrari_250_GTO:0x0000015Er; // "RR quarterpanel" //

		stock_parts_list_F  = new int[3];
		stock_parts_list_F[ 0] = cars.racers.Ferrari_250_GTO:0x000000FEr; // "F bumper" //
		stock_parts_list_F[ 1] = cars.racers.Ferrari_250_GTO:0x0000010Dr; // "hood" //
		stock_parts_list_F[ 2] = cars.racers.Ferrari_250_GTO:0x0000010Br; // "F windshield" //

		stock_parts_list_Rr = new int[4];
		stock_parts_list_Rr[ 0] = cars.racers.Ferrari_250_GTO:0x0000015Ar; // "R bumper" //
		stock_parts_list_Rr[ 1] = cars.racers.Ferrari_250_GTO:0x00000118r; // "trunk" //
		stock_parts_list_Rr[ 2] = cars.racers.Ferrari_250_GTO:0x00000102r; // "R windshield" //
		stock_parts_list_Rr[ 3] = cars.racers.Ferrari_250_GTO:0x0000015Dr; // "R seats" //

		stock_parts_list_L  = new int[6];
		stock_parts_list_L[ 0] = cars.racers.Ferrari_250_GTO:0x0000015Er; // "L sideskirt" //
		stock_parts_list_L[ 1] = cars.racers.Ferrari_250_GTO:0x00000115r; // "FL door" //
		stock_parts_list_L[ 2] = cars.racers.Ferrari_250_GTO:0x00000104r; // "L mirror" //
		stock_parts_list_L[ 3] = cars.racers.Ferrari_250_GTO:0x0000010Er; // "FL window" //
		stock_parts_list_L[ 4] = cars.racers.Ferrari_250_GTO:0x0000010Ar; // "RL window" //
		stock_parts_list_L[ 5] = cars.racers.Ferrari_250_GTO:0x00000103r; // "FL seat" //

		stock_parts_list_R  = new int[4];
		stock_parts_list_R[ 0] = cars.racers.Ferrari_250_GTO:0x00000128r; // "FR door" //
		stock_parts_list_R[ 1] = cars.racers.Ferrari_250_GTO:0x0000011Ar; // "R mirror" //
		stock_parts_list_R[ 2] = cars.racers.Ferrari_250_GTO:0x00000112r; // "FR window" //
		stock_parts_list_R[ 3] = cars.racers.Ferrari_250_GTO:0x00000103r; // "FR seat" //


	// running gear parts lists //

		// stock 1 stuffs //

		stock_parts_list_RGear_suspensions = new int[4];
		stock_parts_list_RGear_suspensions[ 0] = parts:0x000000F8r; // "CS_FL_McPherson_strut" //
		stock_parts_list_RGear_suspensions[ 1] = parts:0x000000F9r; // "CS_FR_McPherson_strut" //
		stock_parts_list_RGear_suspensions[ 2] = parts:0x000000FAr; // "CS_RL_trailing_arm" //
		stock_parts_list_RGear_suspensions[ 3] = parts:0x00000109r; // "CS_RR_trailing_arm" //

		stock_parts_list_RGear_shocks = new int[4];
		stock_parts_list_RGear_shocks[ 0] = stock_parts_list_RGear_shocks[ 1] = parts:0x000000FDr; // "CS_front" //
		stock_parts_list_RGear_shocks[ 2] = stock_parts_list_RGear_shocks[ 3] = parts:0x000000FCr; // "CS_rear" //

		stock_parts_list_RGear_springs = new int[4];
		stock_parts_list_RGear_springs[ 0] = stock_parts_list_RGear_springs[ 1] = parts:0x000000EEr; // "CS_front" //
		stock_parts_list_RGear_springs[ 2] = stock_parts_list_RGear_springs[ 3] = parts:0x000000EFr; // "CS_rear" //

		stock_parts_list_RGear_brakes = new int[4];
		stock_parts_list_RGear_brakes[ 0] = stock_parts_list_RGear_brakes[ 1] = parts:0x000000D6r; // "CS_front" //
		stock_parts_list_RGear_brakes[ 2] = stock_parts_list_RGear_brakes[ 3] = parts:0x000000D7r; // "CS_rear" //

		stock_parts_list_RGear_wheels = new int[4];
		stock_parts_list_RGear_wheels[ 0] = stock_parts_list_RGear_wheels[ 1] = cars.racers.Ferrari_250_GTO:0x0000015Br; // "DevilSport_5_8.0x17_ET_0" //
		stock_parts_list_RGear_wheels[ 2] = stock_parts_list_RGear_wheels[ 3] = cars.racers.Ferrari_250_GTO:0x0000010Ar; // "DevilSport_5_8.0x17_ET_0" //

		stock_parts_list_RGear_tyres = new int[4];
		stock_parts_list_RGear_tyres[ 0] = stock_parts_list_RGear_tyres[ 1] = cars.racers.Ferrari_250_GTO:0x0000010Cr; // "205_55_17_sport" //
		stock_parts_list_RGear_tyres[ 2] = stock_parts_list_RGear_tyres[ 3] = cars.racers.Ferrari_250_GTO:0x0000011Dr; // "205_55_17_sport" //

		super.addStockParts( desc );

		addPart( cars.racers.Ferrari_250_GTO:0x00000105r, "steering wheel" );

		addPart( cars.racers.Ferrari_250_GTO:0x00000182r, "stock_exhaust_pipe" );		
	}
}
